#!/usr/bin/env node

const lyr = require('lyrics-fetcher')
const nodeSpotify = require('node-spotify-bus')
const { program } = require('commander')
program.version('1.0.2')

async function asyncLyr(artist, song) {
  return new Promise((resolve, reject) => {
    lyr.fetch(artist, song, (err, lyrics) => {
      if (err) reject(err)
      resolve(lyrics)
    })
  })
}

program
  .command('song')
  .description('get the current playing song name')
  .action(async () => {
    const song = await nodeSpotify.getSong()
    console.log(song)
    process.exit(0)
  })

program
  .command('artist')
  .description('get the current playing artist')
  .action(async () => {
    const song = await nodeSpotify.getArtist()
    console.log(song)
    process.exit(0)
  })

program
  .command('album')
  .description('get the current playing album')
  .action(async () => {
    const song = await nodeSpotify.getAlbum()
    console.log(song)
    process.exit(0)
  })

program
  .command('lyrics')
  .description('get the lyrics of the playing song')
  .action(async () => {
    const song = await nodeSpotify.getSong()
    const artist = await nodeSpotify.getArtist()
    const lyrics = await asyncLyr(artist, song)
    console.log(lyrics)
    process.exit(0)
  })

program.parse(process.argv)
